MAAS packages do not respect debconf seeded options

Bug #1274448 reported by Dave Russell on 2014-01-30
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
maas (Ubuntu)
Critical
Dustin Kirkland 

Bug Description

When attempting to pre-seed settings MAAS ignored the preseeded options.

Instead post install you need to run dpkg-reconfigure maas-region-controller

maas-region-controller and maas-cluster-controller both exhibit this behaviour, other MAAS packages should be checked.

Dave Russell (drussell) on 2014-01-30
tags: added: micro-cluster
description: updated
Dustin Kirkland  (kirkland) wrote :
Download full text (5.5 KiB)

$ echo "maas-cluster-controller maas-cluster-controller/maas-url string http://10.0.0.1/MAAS" | sudo debconf-set-selections
$ echo "maas-region-controller-min maas/default-maas-url string 10.0.0.1" | sudo debconf-set-selections

$ sudo dpkg -i *deb
Selecting previously unselected package maas.
(Reading database ... 71202 files and directories currently installed.)
Preparing to unpack maas_1.4+bzr1853+dfsg-0ubuntu1_all.deb ...
Unpacking maas (1.4+bzr1853+dfsg-0ubuntu1) ...
Selecting previously unselected package maas-cli.
Preparing to unpack maas-cli_1.4+bzr1853+dfsg-0ubuntu1_all.deb ...
Unpacking maas-cli (1.4+bzr1853+dfsg-0ubuntu1) ...
Selecting previously unselected package maas-cluster-controller.
Preparing to unpack maas-cluster-controller_1.4+bzr1853+dfsg-0ubuntu1_all.deb ...
Unpacking maas-cluster-controller (1.4+bzr1853+dfsg-0ubuntu1) ...
Selecting previously unselected package maas-common.
Preparing to unpack maas-common_1.4+bzr1853+dfsg-0ubuntu1_all.deb ...
Unpacking maas-common (1.4+bzr1853+dfsg-0ubuntu1) ...
Selecting previously unselected package maas-dhcp.
Preparing to unpack maas-dhcp_1.4+bzr1853+dfsg-0ubuntu1_all.deb ...
Unpacking maas-dhcp (1.4+bzr1853+dfsg-0ubuntu1) ...
Selecting previously unselected package maas-dns.
Preparing to unpack maas-dns_1.4+bzr1853+dfsg-0ubuntu1_all.deb ...
Unpacking maas-dns (1.4+bzr1853+dfsg-0ubuntu1) ...
Selecting previously unselected package maas-region-controller.
Preparing to unpack maas-region-controller_1.4+bzr1853+dfsg-0ubuntu1_all.deb ...
Unpacking maas-region-controller (1.4+bzr1853+dfsg-0ubuntu1) ...
Selecting previously unselected package maas-region-controller-min.
Preparing to unpack maas-region-controller-min_1.4+bzr1853+dfsg-0ubuntu1_all.deb ...
Unpacking maas-region-controller-min (1.4+bzr1853+dfsg-0ubuntu1) ...
Selecting previously unselected package python-django-maas.
Preparing to unpack python-django-maas_1.4+bzr1853+dfsg-0ubuntu1_all.deb ...
Unpacking python-django-maas (1.4+bzr1853+dfsg-0ubuntu1) ...
Selecting previously unselected package python-maas-client.
Preparing to unpack python-maas-client_1.4+bzr1853+dfsg-0ubuntu1_all.deb ...
Unpacking python-maas-client (1.4+bzr1853+dfsg-0ubuntu1) ...
Selecting previously unselected package python-maas-provisioningserver.
Preparing to unpack python-maas-provisioningserver_1.4+bzr1853+dfsg-0ubuntu1_all.deb ...
Unpacking python-maas-provisioningserver (1.4+bzr1853+dfsg-0ubuntu1) ...
Setting up maas-common (1.4+bzr1853+dfsg-0ubuntu1) ...
Setting up maas-dhcp (1.4+bzr1853+dfsg-0ubuntu1) ...
maas-dhcp-server stop/pre-start, process 21996
Setting up python-maas-client (1.4+bzr1853+dfsg-0ubuntu1) ...
Setting up python-maas-provisioningserver (1.4+bzr1853+dfsg-0ubuntu1) ...
Setting up maas-cli (1.4+bzr1853+dfsg-0ubuntu1) ...
Setting up python-django-maas (1.4+bzr1853+dfsg-0ubuntu1) ...
Setting up maas-region-controller-min (1.4+bzr1853+dfsg-0ubuntu1) ...
Considering dependency proxy for proxy_http:
Module proxy already enabled
Module proxy_http already enabled
Module expires already enabled
Module wsgi already enabled
sed: -e expression #1, char 77: unterminated `s' command
dpkg: error processing package maas-region-contro...

Read more...

Dustin Kirkland  (kirkland) wrote :

=== modified file 'debian/maas-region-controller-min.postinst'
--- debian/maas-region-controller-min.postinst 2014-01-15 15:38:32 +0000
+++ debian/maas-region-controller-min.postinst 2014-01-31 10:22:30 +0000
@@ -38,8 +38,7 @@
     local ipaddr="$1"

     if grep -qs "^DEFAULT_MAAS_URL\ \= \"[a-zA-Z0-9:/.]\{0,\}\"$" /etc/maas/maas_local_settings.py; then
- sed -i "s/^DEFAULT_MAAS_URL\ \= \"[a-zA-Z0-9:/.]\{0,\}\"$/DEFAULT_MAAS_URL = \"http:\/\/"$ipaddr"\/MAAS\"/" \
- /etc/maas/maas_local_settings.py
+ sed -i "s/^DEFAULT_MAAS_URL\ \= \"[a-zA-Z0-9:/.]\{0,\}\"$/DEFAULT_MAAS_URL = \"http:\/\/$ipaddr\/MAAS\"/" /etc/maas/maas_local_settings.py
     fi
 }

Dustin Kirkland  (kirkland) wrote :
Changed in maas (Ubuntu):
importance: Undecided → Critical
status: New → In Progress
assignee: nobody → Dustin Kirkland  (kirkland)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maas - 1.5+bzr1909-0ubuntu1

---------------
maas (1.5+bzr1909-0ubuntu1) trusty; urgency=low

  * New upstream release.

  [ Dustin Kirkland ]
  * debian/maas-region-controller-min.postinst: Fix typo in sed. Remove
    double quotes. (LP: #1274448)

  [ Andres Rodriguez ]
  * debian/control: Add depends on python-crochet.
  * Get rid of dfsg on the versioning as we no longer strip any code from
    the orig tarball.
    - debian/rules: Do not strip any files out of the tarball.
  * debian/patches/*: Refreshed.
 -- Andres Rodriguez <email address hidden> Fri, 31 Jan 2014 09:38:51 -0500

Changed in maas (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers